GTX-1080 Steam broke driver. libGL error: failed to load driver: swrast

Any fresh install system of Mint 19 can get this BUG. (SWRAST problem)

Im creating distro based on Mint 18.3, 19 for linux user groups from Russia with
special adaptation Wine DXVK 0.80

I get troubles with
libGL error: failed to load driver: swrast

How to get error::
1 - I get clean system
2 - Use PPA for Nvidia official ubuntu driver installs
sudo add-apt-repository ppa:graphics-drivers/ppa
3 - Use PPA for Wine-staging install with this manual (for 19)
new wine is REQUIRES to install DXVK (installing dxvk,gecko,mono can be skipped for testing)
just install wine-staging and wine-compat via Synaptic.
https://linuxmint.com.ru/viewtopic.php?t=3176

4 - steampowered.com
At this step i get error when i install steam from official site.

Short version:
Wine and dxvk works.
All works but steam tries download Mesa-i386
If allow steam download it it broke Nvidia driver and you cannot run
any Wine application (EVEN Total commander)
and broke steam-native (linux)

If press CTRL-C to steam recomendation mesa installs all OK.

Full text of problem here
https://ubuntuforums.org/showthread.php?t=2401847&p=13803083#post13803083

PS
I Use Ryzen 1500.
Im have 1060 and 1080 cards to tests.

I waste already 20 days to defeat this and i don’t know to do

I use Systemback to rollback system to previous state.

I’ suspect you’d have to install the 32bit libs first, then switch back to nvidia opengl:
https://devtalk.nvidia.com/default/topic/1023153/linux/opengl-nvidia-and-ubuntu-14-04-issues/post/5206476/#5206476

I don’t understand how to fix this bug.
NEWLY installed OS must don’t have this bug. MUST!!

No work unfortunately
Niestety nie robie

user@M19:~ update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/{nvidia_driver}/alt_ld.so.conf
update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_gl_conf
user@M19:~ update-alternatives --set i386-linux-gnu_egl_conf /usr/lib/{nvidia_driver}/alt_ld.so.conf
update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_egl_conf
user@M19:~ update-alternatives --set x86_64-linux-gnu_gl_conf /usr/lib/{nvidia_driver}/ld.so.conf
update-alternatives: ошибка: нет альтернатив для x86_64-linux-gnu_gl_conf
user@M19:~ update-alternatives --set x86_64-linux-gnu_egl_conf /usr/lib/{nvidia_driver}/ld.so.conf
update-alternatives: ошибка: нет альтернатив для x86_64-linux-gnu_egl_conf
user@M19:~ r@M19:~ update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/{nvidia_410}/alt_ld.so.conf update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_gl_conf user@M19:~ update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/{nvidia_936}/alt_ld.so.conf update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_gl_conf user@M19:~ update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/{nvidia_396}/alt_ld.so.conf update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_gl_conf user@M19:~ update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/{nvidia}/alt_ld.so.conf update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_gl_conf user@M19:~ update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/nvidia/alt_ld.so.conf
update-alternatives: ошибка: нет альтернатив для i386-linux-gnu_gl_conf
user@M19:~$

I have a small folder nvidia in usr-lib but this is only one file
/usr/lib/nvidia/pre-install contains command
exit 1

You have to distinguish between Mint 18.3 and 19.
AFAIK, Mint 18 is based on Ubuntu 16.04, that one used the Debian alternatives system to switch between mesa/nvidia GL:

update-alternatives --set i386-linux-gnu_gl_conf /usr/lib/nvidia_396/alt_ld.so.conf
   update-alternatives --set i386-linux-gnu_egl_conf /usr/lib/nvidia_396/alt_ld.so.conf
   update-alternatives --set x86_64-linux-gnu_gl_conf /usr/lib/nvidia_396/ld.so.conf
   update-alternatives --set x86_64-linux-gnu_egl_conf /usr/lib/nvidia_396/ld.so.conf

for the nvidia-396 driver
update-alternatives --get-selections
lists the possible groups where alternatives exist
update-alternatives --list
lists the possible alternatives to set.
Of course, for this to work, the corresponding 32bit packages of the nvidia driver have to be installed as well.

AFAIK, Mint 19 is based on Ubuntu 18.04, there the driver layout has changed and switching relies on GLVND being correctly installed and again, the 32bit libs of the nvidia driver have to be installed.

aha for Mint 18 really exists path nvidia-396
and how to autodetect to command nvidia_xxx or get this path variable from something to do it automatically after any install drivers?

system with Mint 19
i install nvidia-utils 396

https://pp.userapi.com/c830709/v830709191/1ab991/GGnGTMC57-c.jpg
screenshot
I today done third reinstall Linux Mint 19 X64

I install only Nvidia-396 driver
Download steam-latest.deb and run install

after install i get error message

Steam needs to install these additional packages:
libgl1-mesa-dri:i386, libgl1-mesa-glx:i386, libc6:i386
[sudo] пароль для user:

steam window console
I allow steam install this libraries.
(steam can correct fix this problem?)
reboot
and run steam and get

GLXCHOOSEVISUAL FAILED
libGL error: failed to load driver: swrast
[2018-10-08 20:32:29] Startup - updater built Sep 8 2018 19:20:58
glXChooseVisual failed
glXChooseVisual failedMain.cpp (326) : Assertion Failed: Fatal Error: glXChooseVisual failed
Main.cpp (326) : Assertion Failed: Fatal Error: glXChooseVisual failed

now reinstall Linux mint 19 x64 4-times…

why this error appears?
from 2010 to may 2018 i NEVER see this stupid cursed error

after all i install Steam-windows (steam native not works)
and install Unreal Tournament 3 and get error

Code:

01cd:fixme:gameux:GameExplorerImpl_VerifyAccess (0x2f737c8, L"Z:\media\user\D\Games\Steam-win32\steamapps\common\Unreal Tournament 3\Binaries\UT3.exe", 0x231eba8)
01cd:err:wgl:init_opengl Failed to load libGL: libGL.so.1: невозможно открыть разделяемый объектный файл: Нет такого файла или каталога
01cd:err:wgl:init_opengl OpenGL support is disabled.

I tries some tricks from Mint 18.3 but now is not work.
With first install it works… until september. unfortunately now no works
sudo mv /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu/mesa/libGL.so.1.bak
or
just remove mesa files (libglapi-mesa)

Maybe i do something wrong?

Video install process Linux Mint 19 x64 Mate DE


Instal on fresh system nvidia and steam , reboot, trying run steam, show work Unigine x64 game engine, trying run Panolapse and UT3.exe (32 bit applications)

MX Linux 17.1 september x64 with Mate DE
Instal on fresh system nvidia and steam , reboot, trying run steam, show work Unigine x64 game engine, trying run Panolapse and UT3.exe (32 bit applications)

gksu bug (another problem)

What’s the output of
sudo dpkg-query --list nvidia*

user@PC1:~ sudo dpkg-query --list nvidia* [sudo] пароль для user: Желаемый=неизвестно[u]/установить[i]/удалить[r]/вычистить[p]/зафиксировать[h] | Состояние=не[n]/установлен[i]/настроен[c]/распакован[U]/частично настроен[F]/ частично установлен[H]/trig-aWait/Trig-pend |/ Ошибка?=(нет)/требуется переустановка[R] (верхний регистр в полях состояния и ошибки указывает на ненормальную ситуацию) ||/ Имя Версия Архитектура Описание +++-==============-============-============-================================= un nvidia-304 <нет> <нет> (описание недоступно) un nvidia-340 <нет> <нет> (описание недоступно) un nvidia-384 <нет> <нет> (описание недоступно) un nvidia-390 <нет> <нет> (описание недоступно) un nvidia-common <нет> <нет> (описание недоступно) ii nvidia-compute 396.54-0ubun amd64 NVIDIA compute utilities ii nvidia-dkms-39 396.54-0ubun amd64 NVIDIA DKMS package un nvidia-dkms-ke <нет> <нет> (описание недоступно) ii nvidia-driver- 396.54-0ubun amd64 NVIDIA driver metapackage un nvidia-driver- <нет> <нет> (описание недоступно) un nvidia-driver- <нет> <нет> (описание недоступно) un nvidia-kernel- <нет> <нет> (описание недоступно) ii nvidia-kernel- 396.54-0ubun amd64 Shared files used with the kernel un nvidia-kernel- <нет> <нет> (описание недоступно) ii nvidia-kernel- 396.54-0ubun amd64 NVIDIA kernel source package un nvidia-opencl- <нет> <нет> (описание недоступно) un nvidia-persist <нет> <нет> (описание недоступно) un nvidia-prime <нет> <нет> (описание недоступно) ii nvidia-prime-a 1.0.7 all An applet for NVIDIA Prime ii nvidia-setting 396.54-0ubun amd64 Tool for configuring the NVIDIA g un nvidia-setting <нет> <нет> (описание недоступно) un nvidia-smi <нет> <нет> (описание недоступно) un nvidia-utils <нет> <нет> (описание недоступно) ii nvidia-utils-3 396.54-0ubun amd64 NVIDIA driver support binaries user@PC1:~

In Linux Mint 18.3 This bug can be fixed by command
But in Linux Mint 19 x64 this is unusable
(folder /usr/lib/i386-linux-gnu/ dont contain mesa)
user@PC1:~ sudo mv /usr/lib/i386-linux-gnu/mesa/libGL.so.1 /usr/lib/i386-linux-gnu/mesa/libGL.so.1.bak [sudo] пароль для user: mv: не удалось выполнить stat для '/usr/lib/i386-linux-gnu/mesa/libGL.so.1': Нет такого файла или каталога user@PC1:~

See if enabling the 1386 arch
sudo dpkg --add-architecture i386 && sudo apt update
and reinstalling the nvidia driver brings you forward.

this is not work

I do next
I go to launchpad and download every i386 and amd64 files manual
https://launchpad.net/~graphics-drivers/+archive/ubuntu/ppa/+packages
Drop all to folder
create install_cursed_nvidia_driver_mint_19.sh script
add dpkg -i *.deb to script
and voila

Mint Linux 19 fixed, temporarily
But this is not best solution
And normal user NEVER do this.
Normal user after 1-2 format partition operations after driver fail just delete Linux.

I write video with fixing process, sorry, russian

I copy all files there

Maybe it be useful for someone,

But this driver and site is useless for MX Linux 17.1
and not work for them
MX still no work 32bit GL libraries.
Official fresh installed release of course

Interesting…
any installed newly OS have this bug.
Mint 19, MX, who’s next?

See the install instructions for steam on generic debian-based distros:
https://wiki.debian.org/Steam#A64-bit_systems_.28amd64.29